Summary:	GNOME Tour and Greeter
Summary(pl.UTF-8):	Przewodnik i powitanie środowiska GNOME
Name:		gnome-tour
Version:	42.0
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/gnome-tour/42/%{name}-%{version}.tar.xz
# Source0-md5:	2accd38e1f15f4ac477d614ef2b56eda
Patch0:		%{name}-no-update.patch
Patch1:		%{name}-x32.patch
URL:		https://gitlab.gnome.org/GNOME/gnome-tour
BuildRequires:	appstream-glib
BuildRequires:	cargo
BuildRequires:	gdk-pixbuf2-devel >= 2.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.64
BuildRequires:	graphene-devel
BuildRequires:	gtk4-devel >= 4.4
BuildRequires:	libadwaita-devel >= 1
BuildRequires:	meson >= 0.59
BuildRequires:	ninja >= 1.5
BuildRequires:	rpmbuild(macros) >= 2.005
BuildRequires:	rust
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.64
Requires:	gtk4 >= 4.4
Requires:	hicolor-icon-theme
Requires:	libadwaita >= 1
ExclusiveArch:	%{x8664} %{ix86} x32 aarch64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debugsource packages don't support rust
%define		_debugsource_packages	0

%description
A guided tour and greeter for GNOME.

%description -l pl.UTF-8
Przewodnik i powitanie dla środowiska GNOME.

%prep
%setup -q
%patch0 -p1
%ifarch x32
%patch1 -p1
%endif

%build
%ifarch x32
export PKG_CONFIG_ALLOW_CROSS=1
%endif
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ifarch x32
export PKG_CONFIG_ALLOW_CROSS=1
%endif
%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_bindir}/gnome-tour
%{_datadir}/gnome-tour
%{_datadir}/metainfo/org.gnome.Tour.metainfo.xml
%{_desktopdir}/org.gnome.Tour.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Tour.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Tour-symbolic.svg
%changelog
* Fri May 20 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-tour.git;a=log;h=master

* Fri May 20 2022 Jakub Bogusz <qboosh@pld-linux.org> a154014
- more x32

* Fri May 20 2022 Jakub Bogusz <qboosh@pld-linux.org> bdd0295
- updated x32 patch

* Fri May 20 2022 Jakub Bogusz <qboosh@pld-linux.org> 75ff98b
- updated to 42.0
- added no-update patch (avoid gtk4-update-icon-cache build time dependency)

* Sat Feb 26 2022 Jakub Bogusz <qboosh@pld-linux.org> e9c3fec
- release 2

* Fri Feb 25 2022 Jakub Bogusz <qboosh@pld-linux.org> f1ce995
- rediffed

* Fri Feb 25 2022 Jakub Bogusz <qboosh@pld-linux.org> cee9111
- updated to 40.1

* Sat Apr 24 2021 Jakub Bogusz <qboosh@pld-linux.org> c55890c
- release 3

* Sat Apr 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 3b073ab
- fixed dirs order

* Sat Apr 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 51dbba4
- rediffed

* Sat Apr 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 2cbe506
- trying more

* Sat Apr 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 614761a
- try more

* Sat Apr 24 2021 Jakub Bogusz <qboosh@pld-linux.org> e10cd6a
- more x32

* Sat Apr 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 5de4e15
- patch header fixed

* Sat Apr 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 85e1073
- try with x32 patch

* Sun Apr 04 2021 Jakub Bogusz <qboosh@pld-linux.org> e0fe22f
- disable debugsource packages; release 2

* Sun Apr 04 2021 Jakub Bogusz <qboosh@pld-linux.org> ed8ce95
- updated to 40.0

* Tue Sep 22 2020 Jakub Bogusz <qboosh@pld-linux.org> edc51bb
- rust archs

* Tue Sep 22 2020 Jakub Bogusz <qboosh@pld-linux.org> fe6e2d0
- new

